version: '2'
services:
  formation-app:
    image: formation
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - EUREKA_CLIENT_SERVICE_URL_DEFAULTZONE=http://admin:$${jhipster.registry.password}@jhipster-registry:8761/eureka
      - SPRING_CLOUD_CONFIG_URI=http://admin:$${jhipster.registry.password}@jhipster-registry:8761/config
      - SPRING_DATASOURCE_URL=jdbc:postgresql://formation-postgresql:5432/Formation
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
      - SPRING_DATA_JEST_URI=http://formation-elasticsearch:9200
      - SPRING_ELASTICSEARCH_REST_URIS=http://formation-elasticsearch:9200
    ports:
      - 8080:8080
  formation-postgresql:
    extends:
      file: postgresql.yml
      service: formation-postgresql
  formation-elasticsearch:
    extends:
      file: elasticsearch.yml
      service: formation-elasticsearch
  jhipster-registry:
    extends:
      file: jhipster-registry.yml
      service: jhipster-registry
    environment:
      - SPRING_CLOUD_CONFIG_SERVER_COMPOSITE_0_TYPE=native
      - SPRING_CLOUD_CONFIG_SERVER_COMPOSITE_0_SEARCH_LOCATIONS=file:./central-config/docker-config/
